PVRGeoPOD Blender 2.5.7 on Mac woes

This topic contains 7 replies, has 5 voices, and was last updated by  ClayMontgomery 6 years, 1 month ago.

Viewing 8 posts - 1 through 8 (of 8 total)
  • Author
    Posts
  • #30536

    nmikros
    Member

    Hi,

    Maybe someone can help me. We are trying to get the Blender version of PVRGeoPOD working on Mac with version 2.5.7 of Blender. I tried using the AddOn manager in the User Preferences and also just manually putting the .py and dynamic library in the package (where the rest of the py files are), neither way worked. I then started going backwards in blender versions all the way to 2.50 still no go. Am I missing something? It won’t show up in export or in the add-ons manager no matter what I seem to do. Do I need to compile it into a pyc file? has the plugin format changed? Do I need to use 2.49… this would be unfortunate since our work so far has been using 2.5.7.

    Any info would be welcome.

    Thanks!

    #34913

    jacekc
    Member

    Hi, 

    Unfortunately Blender Plugin dosen’t work with Blender 2.5 only with 2.49/2.48 . It should be ready for our next release. For now I would recommend you export your scenes in a Collada and then use Collada2Pod from our SDK.

    #34914

    nmikros
    Member

    Unfortunately, collada export from blender doesn’t support bones. Is there a rough eta when the 2.5.x plugin will be released? Can we beta test the one in development?

    #34915

    jacekc
    Member

    We are aiming for end of August 2011. with our release and this should will be the first time blender plugin for blender 2.5 will be available.

    #34916

    nmikros
    Member

    Thanks for the prompt reply. Looking forward to the August release.

    #34917

    aurel
    Member
    jacekc wrote:
    We are aiming for end of August 2011. with our release and this should will be the first time blender plugin for blender 2.5 will be available.

    Would it be possible to get an estimated release date?

    #34918

    Gordon
    Moderator

    Unfortunately, the engineer who was maintaining this plug-in has left since jacekc’s reply and so the Blender plug-in is not going to be able to support Blender 2.5 for the next release. The workaround is to export to Collada and then use Collada2POD. We do still intend to add support for 2.5 for a future release.

    The 2.9 release should happen shortly.

    #34919

      Unfortunately, this problem is more serious than just not being able to export bones, as nmikros posted.  In fact, support for animations has been completely removed from the Collada exporter in the new Blender 2.59.  They do intend to put it back in someday, but since Blender is an open source (volunteer) project, it is impossible to know when that will happen.  In the meantime, Collada2POD is not a workable solution, unless you can do without ALL animations.  The only solution I have found is to use the old Blender 2.49 version.

Viewing 8 posts - 1 through 8 (of 8 total)
You must be logged in to reply to this topic.